Obtenha um documento
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"documentId": "2e16d844-4fa9-4295-9a21-83ec32ef241a",
"entityId": "5aced5da-40c1-4bec-85ff-c8cd1bcb4526",
"type": "CPF",
"id": "00000000000",
"issuingCountry": "BRA",
"issueDate": null,
"expirationDate": null,
"isPrimary": true,
"status": "VERIFIED",
"metadata": null,
"proofs": [
{
"id": "2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"documentId": "2e16d844-4fa9-4295-9a21-83ec32ef241a",
"proofType": "FRONT",
"fileName": "id_front.jpg",
"mimeType": "image/jpeg",
"sizeBytes": 102400,
"verificationStatus": "APPROVED",
"verifiedBy": "67890",
"verifiedAt": "2024-01-15T17:03:20Z",
"verificationReason": null,
"uploadedBy": "12345",
"uploadedAt": "2024-01-15T17:03:13Z",
"status": "CURRENT",
"supersededAt": null,
"supersededBy": null,
"replacedByProofId": null,
"deletedAt": null,
"deletedBy": null,
"inVerification": false
}
],
"createdAt": "2024-01-15T17:03:10Z",
"updatedAt": "2024-01-15T17:03:15Z"
}
Documentos
Obtenha um documento
GET
/
api
/
entity
/
v1
/
entities
/
{entityId}
/
documents
/
{docId}
Obtenha um documento
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/documents/{docId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"documentId": "2e16d844-4fa9-4295-9a21-83ec32ef241a",
"entityId": "5aced5da-40c1-4bec-85ff-c8cd1bcb4526",
"type": "CPF",
"id": "00000000000",
"issuingCountry": "BRA",
"issueDate": null,
"expirationDate": null,
"isPrimary": true,
"status": "VERIFIED",
"metadata": null,
"proofs": [
{
"id": "2c4c2f74-7179-4113-83fb-f11dbce9e07d",
"documentId": "2e16d844-4fa9-4295-9a21-83ec32ef241a",
"proofType": "FRONT",
"fileName": "id_front.jpg",
"mimeType": "image/jpeg",
"sizeBytes": 102400,
"verificationStatus": "APPROVED",
"verifiedBy": "67890",
"verifiedAt": "2024-01-15T17:03:20Z",
"verificationReason": null,
"uploadedBy": "12345",
"uploadedAt": "2024-01-15T17:03:13Z",
"status": "CURRENT",
"supersededAt": null,
"supersededBy": null,
"replacedByProofId": null,
"deletedAt": null,
"deletedBy": null,
"inVerification": false
}
],
"createdAt": "2024-01-15T17:03:10Z",
"updatedAt": "2024-01-15T17:03:15Z"
}
Retorna um documento declarado com seu status derivado e suas provas ativas.
- O primeiro exemplo mostra um documento VERIFIED (sua única prova ativa é APPROVED); o segundo, um REJECTED, com o motivo na prova.
application/problem+json com um code estável. Catálogo completo: Status de Entidades e Códigos de Erro.Autorizações
Cabeçalhos
Token de acesso Bearer para autenticação. Este token é obtido nos endpoints Obter token de acesso ou Renovar token de acesso. Sua conta de comerciante e o usuário que realiza a ação são identificados a partir dele.
Exemplo:
"Bearer <your_access_token>"
Parâmetros de caminho
Resposta
OK.
Tipo de documento.
Opções disponíveis:
DNI, NATIONAL_ID, DRIVER_LICENSE, PASSPORT, CE, CC, CUIT, CUIL, RFC, CURP, CPF, CNPJ, RUC, NIT, TAX_ID, ARTICLES_OF_INCORPORATION, POWER_OF_ATTORNEY, TAX_CERTIFICATE, PAYSLIP, ARCA_REGISTRATION, PROOF_OF_ADDRESS, PROOF_OF_FUNDS, OTHER Exemplo:
"CPF"
Última modificação em 10 de novembro de 2026

